com.jogamp.common.jvm

## Interface JNILibLoaderBase.LoaderAction

- Enclosing class:
    JNILibLoaderBase

      public static interface JNILibLoaderBase.LoaderAction

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `loadLibrary(String libname, boolean ignoreError, ClassLoader cl)` Loads the library specified by libname. The implementation should ignore, if the library has been loaded already.
    `void` | `loadLibrary(String libname, String[] preload, boolean preloadIgnoreError, ClassLoader cl)` Loads the library specified by libname. Optionally preloads the libraries specified by preload. The implementation should ignore, if any library has been loaded already.

- - ### Method Detail

    - #### loadLibrary

          boolean loadLibrary(String libname,
                            boolean ignoreError,
                            ClassLoader cl)

      Loads the library specified by libname.
      The implementation should ignore, if the library has been loaded already.
      Parameters:
        `libname` - the library to load
        `ignoreError` - if true, errors during loading the library should be ignored
        `cl` - optional ClassLoader, used to locate the library
      Returns:
        true if library loaded successful

    - #### loadLibrary

          void loadLibrary(String libname,
                         String[] preload,
                         boolean preloadIgnoreError,
                         ClassLoader cl)

      Loads the library specified by libname.
      Optionally preloads the libraries specified by preload.
      The implementation should ignore, if any library has been loaded already.
      Parameters:
        `libname` - the library to load
        `preload` - the libraries to load before loading the main library if not null
        `preloadIgnoreError` - if true, errors during loading the preload-libraries should be ignored
        `cl` - optional ClassLoader, used to locate the library